org.baraza.server.mail

## Class BMail

- java.lang.Object
- - org.baraza.server.mail.BMail

-     public class BMail
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BMail(BElement root, BLogHandle logHandle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `dumpEnvelope(javax.mail.Message m)`
    `void` | `dumpPart(javax.mail.Part p)`
    `boolean` | `getActive()`
    `boolean` | `getmail(boolean readmail)`
    `boolean` | `getmail(String mailbox, boolean readmail)`
    `void` | `readmail(javax.mail.Folder folder)`
    `boolean` | `sendMail(String messageto, String subject, String mymail, boolean infile, Map<String,String> headers, Map<String,String> reports)`
    `void` | `setAttachFile(String fileDir, String fileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BMail

          public BMail(BElement root,
               BLogHandle logHandle)

  - ### Method Detail

    - #### setAttachFile

          public void setAttachFile(String fileDir,
                           String fileName)

    - #### sendMail

          public boolean sendMail(String messageto,
                         String subject,
                         String mymail,
                         boolean infile,
                         Map<String,String> headers,
                         Map<String,String> reports)

    - #### getmail

          public boolean getmail(boolean readmail)

    - #### getmail

          public boolean getmail(String mailbox,
                        boolean readmail)

    - #### readmail

          public void readmail(javax.mail.Folder folder)

    - #### dumpEnvelope

          public void dumpEnvelope(javax.mail.Message m)

    - #### dumpPart

          public void dumpPart(javax.mail.Part p)

    - #### getActive

          public boolean getActive()

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.